Functions

# glm::gtc::type_ptr Namespace Reference

GLM_GTC_type_ptr extension: Get access to vectors & matrices value type address. More...

## Functions
template<typename T >
T const * | value_ptr (detail::tvec2< T > const &vec)
| Get the const address of the vector content.
template<typename T >
T * | value_ptr (detail::tmat4x3< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | value_ptr (detail::tmat4x3< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | value_ptr (detail::tmat3x4< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | value_ptr (detail::tmat3x4< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | value_ptr (detail::tmat4x2< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | value_ptr (detail::tmat4x2< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | value_ptr (detail::tmat2x4< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | value_ptr (detail::tmat2x4< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | value_ptr (detail::tmat3x2< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | value_ptr (detail::tmat3x2< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | value_ptr (detail::tmat2x3< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | value_ptr (detail::tmat2x3< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | value_ptr (detail::tmat4x4< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | value_ptr (detail::tmat4x4< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | value_ptr (detail::tmat3x3< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | value_ptr (detail::tmat3x3< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | value_ptr (detail::tmat2x2< T > &mat)
| Get the address of the matrix content.
template<typename T >
T const * | value_ptr (detail::tmat2x2< T > const &mat)
| Get the const address of the matrix content.
template<typename T >
T * | value_ptr (detail::tvec4< T > &vec)
| Get the address of the vector content.
template<typename T >
T const * | value_ptr (detail::tvec4< T > const &vec)
| Get the const address of the vector content.
template<typename T >
T * | value_ptr (detail::tvec3< T > &vec)
| Get the address of the vector content.
template<typename T >
T const * | value_ptr (detail::tvec3< T > const &vec)
| Get the const address of the vector content.
template<typename T >
T * | value_ptr (detail::tvec2< T > &vec)
| Get the address of the vector content.

## Detailed Description

GLM_GTC_type_ptr extension: Get access to vectors & matrices value type address.

## Function Documentation

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tvec2< T > const & | vec ) |

Get the const address of the vector content.

From GLM_GTC_type_ptr extension.

Definition at line 33 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tmat4x3< T > & | mat ) |

Get the address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 285 of file type_ptr.hpp.

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tmat4x3< T > const & | mat ) |

Get the const address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 275 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tmat3x4< T > & | mat ) |

Get the address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 264 of file type_ptr.hpp.

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tmat3x4< T > const & | mat ) |

Get the const address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 253 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tmat4x2< T > & | mat ) |

Get the address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 242 of file type_ptr.hpp.

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tmat4x2< T > const & | mat ) |

Get the const address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 231 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tmat2x4< T > & | mat ) |

Get the address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 220 of file type_ptr.hpp.

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tmat2x4< T > const & | mat ) |

Get the const address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 209 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tmat3x2< T > & | mat ) |

Get the address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 198 of file type_ptr.hpp.

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tmat3x2< T > const & | mat ) |

Get the const address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 187 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tmat2x3< T > & | mat ) |

Get the address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 176 of file type_ptr.hpp.

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tmat2x3< T > const & | mat ) |

Get the const address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 165 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tmat4x4< T > & | mat ) |

Get the address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 154 of file type_ptr.hpp.

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tmat4x4< T > const & | mat ) |

Get the const address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 143 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tmat3x3< T > & | mat ) |

Get the address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 132 of file type_ptr.hpp.

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tmat3x3< T > const & | mat ) |

Get the const address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 121 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tmat2x2< T > & | mat ) |

Get the address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 110 of file type_ptr.hpp.

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tmat2x2< T > const & | mat ) |

Get the const address of the matrix content.

From GLM_GTC_type_ptr extension.

Definition at line 99 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tvec4< T > & | vec ) |

Get the address of the vector content.

From GLM_GTC_type_ptr extension.

Definition at line 88 of file type_ptr.hpp.

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tvec4< T > const & | vec ) |

Get the const address of the vector content.

From GLM_GTC_type_ptr extension.

Definition at line 77 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tvec3< T > & | vec ) |

Get the address of the vector content.

From GLM_GTC_type_ptr extension.

Definition at line 66 of file type_ptr.hpp.

T const* glm::gtc::type_ptr::value_ptr | ( | detail::tvec3< T > const & | vec ) |

Get the const address of the vector content.

From GLM_GTC_type_ptr extension.

Definition at line 55 of file type_ptr.hpp.

T* glm::gtc::type_ptr::value_ptr | ( | detail::tvec2< T > & | vec ) |

Get the address of the vector content.

From GLM_GTC_type_ptr extension.

Definition at line 44 of file type_ptr.hpp.